/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: SgerApplet
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.teste;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;
import javax.swing.border.*;
import gestao.rodoviario.fachada.Fachada;
import gestao.rodoviario.funcionario.Funcionario;
import gestao.rodoviario.onibus.Onibus;
import gestao.rodoviario.passagem.Passagem;
import gestao.rodoviario.passageiro.*;
import gestao.rodoviario.viagem.Viagem;
import gestao.rodoviario.excecoes.*;
//import com.borland.jbcl.layout.*;


public class SgerApplet extends Applet {

    private Fachada fachada;

    boolean isStandalone = false;
    Component component1;
    JTextPane jTextPane1 = new JTextPane();
    Border border1;
    TitledBorder titledBorder1;
    JToggleButton jToggleButton1 = new JToggleButton();
    JTextField jTextField1 = new JTextField();
    JTextField jPanelCadastroPassagem = new JTextField();
    JPopupMenu jPopupMenu1 = new JPopupMenu();
    ButtonGroup buttonGroup1 = new ButtonGroup();
    JTable jTable1 = new JTable();
    JList jList = new JList();
    JPanel jPanelEntrada = new JPanel();
    JToggleButton jToggleButtonEntrar = new JToggleButton();
    JPasswordField senha = new JPasswordField();
    JPanel jPanelLogon = new JPanel();
    JToggleButton jToggleButtonCancelar = new JToggleButton();
    JLabel jLabelLogin = new JLabel();
    JLabel jLabelSenha = new JLabel();
    JTextField jTextFieldUsuario = new JTextField();
    JPanel jPanelPrincipal = new JPanel();
    JLabel jLabelCadastroViagemHoraSaida = new JLabel();
    JLabel jLabelFinancasLucroResultado = new JLabel();
    JLabel jLabelFinancasArrecadacao = new JLabel();
    JTextField jTextFieldCadastroViagemDesembarque = new JTextField();
    JLabel jLabelCadastroPassageiroIdade = new JLabel();
    JLabel jLabelConsultaViagemHoraChegada = new JLabel();
    JPanel jPanelCadastroOnibus = new JPanel();
    JTabbedPane jTabbedPaneCadastro = new JTabbedPane();
    JLabel jLabelCadastroViagemTempo = new JLabel();
    JPanel jPanelConsultaOnibus = new JPanel();
    JTextField jTextFieldCadastroViagemDistancia = new JTextField();
    JTextField jTextFieldCadastroPassageiroPassagemPoltrona = new JTextField();
    JTabbedPane jTabbedPaneCentral = new JTabbedPane();
    JTextField jTextFieldConsultaViagemHoraPartida = new JTextField();
    JPanel jPanelCadastroPassageiroPassagem = new JPanel();
    JToggleButton jToggleButtonFuncionarioNovo = new JToggleButton();
    JLabel jLabelFinancasArrecadacaoResultado = new JLabel();
    JToggleButton jToggleButtonConsultaOnibus = new JToggleButton();
    JTextField jTextFieldCadastroViagemTempo = new JTextField();
    JLabel jLabelFinancasDespesas = new JLabel();
    JPanel jPanelCadastroPassageiro = new JPanel();
    JToggleButton jToggleButtonFuncionarioConsultaAche = new JToggleButton();
    JTextField jTextFieldConsultaOnibusModelo = new JTextField();
    JLabel jLabelFinancasOcorrencias = new JLabel();
    JTextField jTextFieldCadastroViagemEmbarque = new JTextField();
    JLabel jLabelCadastroOnibusModelo = new JLabel();
    JLabel jLabelCadastroViagemDistancia = new JLabel();
    JPanel jPanelFinancas = new JPanel();
    JLabel jLabelCadastroPassageiroPassagemOrigem = new JLabel();
    JToggleButton jToggleButtonCadastroOnibusSalvar = new JToggleButton();
    JToggleButton jToggleButtonCadastroViagemNovo = new JToggleButton();
    JToggleButton jToggleButtonConsultaFuncionarioDelete = new JToggleButton();
    JTextField jTextFieldCadastroViagemHoraChegada = new JTextField();
    JLabel jLabelCadastroViagemDesembarque = new JLabel();
    JToggleButton jToggleButtonCadastraPassageiroNovo = new JToggleButton();
    JPanel jPanelConsulta = new JPanel();
    JPanel jPanel1 = new JPanel();
    JLabel jLabelCadastroPassageiroIdentidade = new JLabel();
    JTextField jTextFieldConsultaFuncionarioNome = new JTextField();
    JLabel jLabelConsultaOnibusAnoFabricacao = new JLabel();
    JTextField jTextFieldCadastroPassageiroIdentidade = new JTextField();
    JLabel jLabelCadastroOnibusDataRevisao = new JLabel();
    JTextField jTextFieldCadastroViagemOnibus = new JTextField();
    JLabel jLabelConsultaViagemHoraPartida = new JLabel();
    JToggleButton jToggleButtonFuncionarioCancelar = new JToggleButton();
    JLabel jLabelConsultaViagemCusto = new JLabel();
    JToggleButton jToggleButtonCadastroOnibusCancelar = new JToggleButton();
    JPanel jPanelCadastroFuncionario = new JPanel();
    JLabel jLabelConsultaFuncionarioNome = new JLabel();
    JPanel jPanelCadastroViagem = new JPanel();
    JTextField jTextFieldCadastroFuncionarioIdentidade = new JTextField();
    JLabel jLabelCadastroFuncionarioIdentidade = new JLabel();
    JPanel jPanelConsultaViagem = new JPanel();
    JLabel jLabelCadastroPassageiroPassagemDestino = new JLabel();
    JLabel jLabelConsultaViagemOnibus = new JLabel();
    JTextField jTextFieldConsultaViagemEmbarque = new JTextField();
    JTextField jTextFieldConsultaFuncionarioCargo = new JTextField();
    JTextField jTextFieldConsultaOnibusAnoFabricacao = new JTextField();
    JTextField jTextFieldCadastroPassageiroTelefone = new JTextField();
    JTextField jTextFieldConsultaOnibusNumero = new JTextField();
    JLabel jLabelCadastroViagemHoraChegada = new JLabel();
    JLabel jLabelCadastroPassageiroPassagem = new JLabel();
    JLabel jLabelCadastroOnibusNumero = new JLabel();
    JLabel jLabelCadastroOnibusAnoFabricacao = new JLabel();
    JTextField jTextFieldCadastroViagemHoraPartida = new JTextField();
    JToggleButton jToggleButtonCadastroPassageiroSalvar = new JToggleButton();
    JTextField jTextFieldConsultaViagemCusto = new JTextField();
    JToggleButton jToggleButtonFuncionarioSalvar = new JToggleButton();
    JPanel jPanelCadastro = new JPanel();
    JLabel jLabelConsultaViagemTempo = new JLabel();
    JTextField jTextFieldCadastroFuncionarioCargo = new JTextField();
    JTextField jTextFieldCadastroOnibusModelo = new JTextField();
    JToggleButton jToggleButtonCadastroViagemSalvar = new JToggleButton();
    JToggleButton jToggleButtonConsultaViagemDelete = new JToggleButton();
    JLabel jLabelConsultaFuncionarioCargo = new JLabel();
    JLabel jLabelCadastroPassageiroTelefone = new JLabel();
    JLabel jLabelFinancasDespesasResultado = new JLabel();
    JLabel jLabelCadastroPassageiroNome = new JLabel();
    JTextField jTextFieldConsultaViagemDistancia = new JTextField();
    JTextField jTextFieldConsultaViagemDesembarque = new JTextField();
    JTextField jTextFieldCadastroOnibusAnoFabricacao = new JTextField();
    JToggleButton jToggleButtonConsultaOnibusExcluir = new JToggleButton();
    JLabel jLabelConsultaOnibusModelo = new JLabel();
    JScrollPane scroll = new JScrollPane(jList);
    JLabel jLabelConsultaFuncionarioIdentidade = new JLabel();
    JTextField jTextFieldConsultaOnibusDataRevisao = new JTextField();
    JTextField jTextFieldConsultaViagemTempo = new JTextField();
    JLabel jLabelConsultaViagemDistancia = new JLabel();
    JToggleButton jToggleButtonConsultarViagemAche = new JToggleButton();
    JToggleButton jToggleButtonCadastrarPassageiroCancelar = new JToggleButton();
    JTextField jTextFieldCadastroPassageiroPassagemDestino = new JTextField();
    JTextField jTextFieldCadastroFuncionarioNome = new JTextField();
    JLabel jLabelCadastroPassageiroPassagemData = new JLabel();
    JLabel jLabelCadastroViagemEmbarque = new JLabel();
    JTextField jTextFieldConsultaFuncionarioIdentidade = new JTextField();
    JTabbedPane jTabbedPaneConsulta = new JTabbedPane();
    JTextField jTextFieldConsultaViagemOnibus = new JTextField();
    JLabel jLabelCadastroPassageiroPassagemPoltrona = new JLabel();
    JToggleButton jToggleButtonCadastroViagemCancelar = new JToggleButton();
    JLabel jLabelCadastroViagemOnibus = new JLabel();
    JTextField jTextFieldCadastroPassageiroPassagemOrigem = new JTextField();
    JPanel jPanelConsultaFuncionario = new JPanel();
    JLabel jLabelCadastroFuncionarioCargo = new JLabel();
    JTextField jTextFieldConsultaViagemHoraChegada = new JTextField();
    JToggleButton jToggleButtonCadastroOnibusNovo = new JToggleButton();
    JLabel jLabelConsultaViagemDesembarque = new JLabel();
    JLabel jLabelCadastroFuncionarioNome = new JLabel();
    JTextField jTextFieldCadastroOnibusNumero = new JTextField();
    JLabel jLabelCadastroViagemCusto = new JLabel();
    JLabel jLabelConsultaOnibusDataRevisao = new JLabel();
    JTextField jTextFieldCadastroPassageiroNome = new JTextField();
    JTextField jTextFieldCadastroViagemCusto = new JTextField();
    JTextField jTextFieldCadastroPassageiroIdade = new JTextField();
    JTextField jTextFieldCadastroPassageiroPassagemData = new JTextField();
    JLabel jLabelConsultaOnibusNumero = new JLabel();
    JLabel jLabelFinancasLucro = new JLabel();
    JTextField jTextFieldCadastroOnibusDataRevisao = new JTextField();
    JLabel jLabelConsultaViagemEmbarque = new JLabel();
    JToggleButton jToggleButtonFinancasAtualiza = new JToggleButton();
    JLabel jLabelTitulo = new JLabel();
    Border border2;
    TitledBorder titledBorder2;
    Border border3;
    JLabel jLabelRodape = new JLabel();
    Border border4;
    JToggleButton jToggleButtonTrocarUsuario = new JToggleButton();
    JToggleButton jToggleButtonSair = new JToggleButton();

    //Get a parameter value
    public String getParameter(String key, String def) {
      return isStandalone ? System.getProperty(key, def) :
        (getParameter(key) != null ? getParameter(key) : def);
    }

    //Construct the applet
    public SgerApplet() {
    }

    //Initialize the applet
    public void init() {
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    //Component initialization
    private void jbInit() throws Exception {

        fachada = new Fachada();

        component1 = Box.createGlue();
        border1 = BorderFactory.createLineBorder(Color.white,1);
        titledBorder1 = new TitledBorder("");
        border2 = BorderFactory.createCompoundBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.yellow,Color.yellow,new Color(178, 178, 0),new Color(124, 124, 0)),BorderFactory.createEmptyBorder(10,10,10,10));
        titledBorder2 = new TitledBorder(BorderFactory.createEtchedBorder(Color.yellow,new Color(178, 178, 0)),"");
        border3 = new EtchedBorder(EtchedBorder.RAISED,Color.yellow,Color.lightGray);
        border4 = BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.yellow,Color.yellow,new Color(178, 178, 0),new Color(124, 124, 0));
        this.setLayout(null);
        jTextPane1.setBackground(Color.yellow);
        jTextPane1.setFont(new java.awt.Font("Dialog", 1, 16));
        jTextPane1.setForeground(Color.blue);
        jTextPane1.setBorder(BorderFactory.createLoweredBevelBorder());
        jTextPane1.setDisabledTextColor(Color.black);
        jTextPane1.setEditable(false);
        jTextPane1.setText(" SISTEMA GESTOR DE EMPRESAS RODOVIRIAS");
        jTextPane1.setBounds(new Rectangle(64, 23, 393, 29));
        jTable1.setBounds(new Rectangle(313, 89, 0, 0));
        jList.setBounds(new Rectangle(9, 10, 200, 150));
        this.setEnabled(true);
        jPanelEntrada.setBorder(BorderFactory.createRaisedBevelBorder());
        jPanelEntrada.setBounds(new Rectangle(64, 55, 393, 261));
        jPanelEntrada.setLayout(null);
        jToggleButtonEntrar.setFont(new java.awt.Font("Dialog", 0, 18));
        jToggleButtonEntrar.setBorder(BorderFactory.createRaisedBevelBorder());
        jToggleButtonEntrar.setOpaque(false);
        jToggleButtonEntrar.setText("Entrar");
        jToggleButtonEntrar.setBounds(new Rectangle(27, 122, 102, 33));
        jToggleButtonEntrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonEntrar_actionPerformed(e);
            }
        });
        senha.setEchoChar('#');
        senha.setBounds(new Rectangle(27, 95, 218, 21));
        jPanelLogon.setBackground(SystemColor.inactiveCaption);
        jPanelLogon.setBorder(BorderFactory.createRaisedBevelBorder());
        jPanelLogon.setBounds(new Rectangle(63, 37, 267, 186));
        jPanelLogon.setLayout(null);
        jToggleButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCancelar_actionPerformed(e);
          }
        });
        jToggleButtonCancelar.setBounds(new Rectangle(138, 122, 107, 33));
        jToggleButtonCancelar.setText("Cancelar");
        jToggleButtonCancelar.setFont(new java.awt.Font("Dialog", 0, 18));
        jToggleButtonCancelar.setBorder(BorderFactory.createRaisedBevelBorder());
        jToggleButtonCancelar.setOpaque(false);
        jLabelLogin.setBackground(Color.yellow);
        jLabelLogin.setFont(new java.awt.Font("Dialog", 0, 15));
        jLabelLogin.setForeground(Color.blue);
        jLabelLogin.setBorder(BorderFactory.createRaisedBevelBorder());
        jLabelLogin.setOpaque(true);
        jLabelLogin.setText("Usurio");
        jLabelLogin.setBounds(new Rectangle(28, 32, 62, 17));
        jLabelSenha.setBounds(new Rectangle(28, 77, 62, 17));
        jLabelSenha.setText("Senha");
        jLabelSenha.setForeground(Color.blue);
        jLabelSenha.setBorder(BorderFactory.createRaisedBevelBorder());
        jLabelSenha.setFont(new java.awt.Font("Dialog", 0, 15));
        jLabelSenha.setBackground(Color.yellow);
        jLabelSenha.setOpaque(true);
        jTextFieldUsuario.setToolTipText("");
        jTextFieldUsuario.setBounds(new Rectangle(27, 50, 218, 21));
        jPanelPrincipal.setBackground(Color.yellow);
        jPanelPrincipal.setBorder(border4);
        jPanelPrincipal.setBounds(new Rectangle(22, 13, 478, 334));
        jPanelPrincipal.setLayout(null);
        jLabelCadastroViagemHoraSaida.setText("Hora Saida");
        jLabelCadastroViagemHoraSaida.setBounds(new Rectangle(177, 40, 66, 17));
        jLabelFinancasLucroResultado.setBackground(Color.black);
        jLabelFinancasLucroResultado.setFont(new java.awt.Font("Dialog", 0, 16));
        jLabelFinancasLucroResultado.setForeground(Color.red);
        jLabelFinancasLucroResultado.setOpaque(true);
        jLabelFinancasLucroResultado.setText("0.000,00");
        jLabelFinancasLucroResultado.setBounds(new Rectangle(334, 171, 107, 30));
        jLabelFinancasArrecadacao.setFont(new java.awt.Font("Dialog", 0, 18));
        jLabelFinancasArrecadacao.setText("Arrecadao");
        jLabelFinancasArrecadacao.setBounds(new Rectangle(333, 36, 117, 17));
        jTextFieldCadastroViagemDesembarque.setBounds(new Rectangle(13, 83, 131, 21));
        jLabelCadastroPassageiroIdade.setBounds(new Rectangle(328, 16, 35, 22));
        jLabelCadastroPassageiroIdade.setToolTipText("");
        jLabelCadastroPassageiroIdade.setText("Idade");
        jLabelConsultaViagemHoraChegada.setBounds(new Rectangle(174, 80, 96, 17));
        jLabelConsultaViagemHoraChegada.setText("Hora Chegada");
        jPanelCadastroOnibus.setLayout(null);
        jTabbedPaneCadastro.setToolTipText("");
        jTabbedPaneCadastro.setBounds(new Rectangle(9, 19, 440, 220));
        jLabelCadastroViagemTempo.setText("Tempo de viagem");
        jLabelCadastroViagemTempo.setBounds(new Rectangle(292, 13, 109, 17));
        jPanelConsultaOnibus.setLayout(null);
        jTextFieldCadastroViagemDistancia.setBounds(new Rectangle(292, 83, 131, 21));
        jTextFieldCadastroPassageiroPassagemPoltrona.setBounds(new Rectangle(270, 58, 128, 21));
        jTabbedPaneCentral.setBounds(new Rectangle(0, 39, 478, 266));
        jTextFieldConsultaViagemHoraPartida.setBounds(new Rectangle(174, 43, 86, 20));
        jPanelCadastroPassageiroPassagem.setBorder(BorderFactory.createEtchedBorder());
        jPanelCadastroPassageiroPassagem.setBounds(new Rectangle(15, 79, 408, 88));
        jPanelCadastroPassageiroPassagem.setLayout(null);
        jToggleButtonFuncionarioNovo.setText("Novo");
        jToggleButtonFuncionarioNovo.setBounds(new Rectangle(167, 155, 115, 25));
        jToggleButtonFuncionarioNovo.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonFuncionarioNovo_actionPerformed(e);
          }
        });
        jLabelFinancasArrecadacaoResultado.setBackground(Color.black);
        jLabelFinancasArrecadacaoResultado.setFont(new java.awt.Font("Dialog", 0, 16));
        jLabelFinancasArrecadacaoResultado.setForeground(Color.red);
        jLabelFinancasArrecadacaoResultado.setOpaque(true);
        jLabelFinancasArrecadacaoResultado.setText("00.000,00");
        jLabelFinancasArrecadacaoResultado.setBounds(new Rectangle(333, 55, 107, 30));
        jToggleButtonConsultaOnibus.setText("Ache");
        jToggleButtonConsultaOnibus.setBounds(new Rectangle(160, 156, 115, 25));
        jToggleButtonConsultaOnibus.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonConsultaOnibus_actionPerformed(e);
          }
        });
        jTextFieldCadastroViagemTempo.setBounds(new Rectangle(292, 29, 131, 21));
        jLabelFinancasDespesas.setBounds(new Rectangle(334, 95, 117, 17));
        jLabelFinancasDespesas.setText("Despesas");
        jLabelFinancasDespesas.setFont(new java.awt.Font("Dialog", 0, 18));
        jPanelCadastroPassageiro.setLayout(null);
        jToggleButtonFuncionarioConsultaAche.setText("Ache");
        jToggleButtonFuncionarioConsultaAche.setBounds(new Rectangle(137, 153, 115, 25));
        jToggleButtonFuncionarioConsultaAche.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonFuncionarioConsultaAche_actionPerformed(e);
          }
        });
        jTextFieldConsultaOnibusModelo.setEditable(false);
        jTextFieldConsultaOnibusModelo.setBounds(new Rectangle(120, 64, 293, 21));
        jLabelFinancasOcorrencias.setText("|  Passageiro  |  Passagem  |  Preo  |");
        jLabelFinancasOcorrencias.setBounds(new Rectangle(14, 30, 220, 17));
        jTextFieldCadastroViagemEmbarque.setBounds(new Rectangle(14, 29, 131, 21));
        jLabelCadastroOnibusModelo.setBounds(new Rectangle(78, 74, 43, 17));
        jLabelCadastroOnibusModelo.setText("Modelo");
        jLabelCadastroViagemDistancia.setText("Distncia");
        jLabelCadastroViagemDistancia.setBounds(new Rectangle(292, 67, 76, 17));
        jPanelFinancas.setLayout(null);
        jPanelFinancas.addMouseListener(new java.awt.event.MouseAdapter() {
          public void mouseClicked(MouseEvent e) {
            jPanelFinancas_mouseClicked(e);
          }
        });
        jLabelCadastroPassageiroPassagemOrigem.setText("Origem");
        jLabelCadastroPassageiroPassagemOrigem.setBounds(new Rectangle(14, 34, 52, 17));
        jToggleButtonCadastroOnibusSalvar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastroOnibusSalvar_actionPerformed(e);
          }
        });
        jToggleButtonCadastroOnibusSalvar.setBounds(new Rectangle(50, 158, 118, 23));
        jToggleButtonCadastroOnibusSalvar.setText("Salvar");
        jToggleButtonCadastroViagemNovo.setText("Novo");
        jToggleButtonCadastroViagemNovo.setBounds(new Rectangle(157, 3, 104, 25));
        jToggleButtonCadastroViagemNovo.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastroViagemNovo_actionPerformed(e);
          }
        });
        jToggleButtonConsultaFuncionarioDelete.setText("Delete");
        jToggleButtonConsultaFuncionarioDelete.setBounds(new Rectangle(272, 153, 115, 25));
        jToggleButtonConsultaFuncionarioDelete.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonConsultaFuncionarioDelete_actionPerformed(e);
          }
        });
        jTextFieldCadastroViagemHoraChegada.setBounds(new Rectangle(177, 114, 86, 21));
        jLabelCadastroViagemDesembarque.setText("Desembarque");
        jLabelCadastroViagemDesembarque.setBounds(new Rectangle(13, 67, 92, 17));
        jToggleButtonCadastraPassageiroNovo.setText("Novo");
        jToggleButtonCadastraPassageiroNovo.setBounds(new Rectangle(162, 169, 115, 23));
        jToggleButtonCadastraPassageiroNovo.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastraPassageiroNovo_actionPerformed(e);
          }
        });
        jPanelConsulta.setLayout(null);
        jPanel1.setBounds(new Rectangle(13, 161, 417, 30));
        jPanel1.setLayout(null);
        jLabelCadastroPassageiroIdentidade.setText("Identidade");
        jLabelCadastroPassageiroIdentidade.setBounds(new Rectangle(16, 51, 61, 22));
        jTextFieldConsultaFuncionarioNome.setEditable(false);
        jTextFieldConsultaFuncionarioNome.setBounds(new Rectangle(98, 84, 300, 21));
        jLabelConsultaOnibusAnoFabricacao.setText("Ano de Fabricao");
        jLabelConsultaOnibusAnoFabricacao.setBounds(new Rectangle(7, 95, 106, 17));
        jTextFieldCadastroPassageiroIdentidade.setBounds(new Rectangle(83, 52, 128, 21));
        jLabelCadastroOnibusDataRevisao.setBounds(new Rectangle(26, 131, 95, 17));
        jLabelCadastroOnibusDataRevisao.setText("Data de Reviso");
        jTextFieldCadastroViagemOnibus.setBounds(new Rectangle(14, 135, 131, 21));
        jLabelConsultaViagemHoraPartida.setBounds(new Rectangle(173, 25, 76, 17));
        jLabelConsultaViagemHoraPartida.setText("Hora Partida");
        jToggleButtonFuncionarioCancelar.setText("Cancelar");
        jToggleButtonFuncionarioCancelar.setBounds(new Rectangle(294, 155, 115, 25));
        jToggleButtonFuncionarioCancelar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonFuncionarioCancelar_actionPerformed(e);
          }
        });
        jLabelConsultaViagemCusto.setText("Custo");
        jLabelConsultaViagemCusto.setBounds(new Rectangle(293, 90, 41, 17));
        jToggleButtonCadastroOnibusCancelar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastroOnibusCancelar_actionPerformed(e);
          }
        });
        jToggleButtonCadastroOnibusCancelar.setBounds(new Rectangle(307, 157, 115, 25));
        jToggleButtonCadastroOnibusCancelar.setText("Cancelar");
        jPanelCadastroFuncionario.setLayout(null);
        jLabelConsultaFuncionarioNome.setBounds(new Rectangle(44, 87, 41, 17));
        jLabelConsultaFuncionarioNome.setText("Nome");
        jPanelCadastroViagem.setLayout(null);
        jTextFieldCadastroFuncionarioIdentidade.setBounds(new Rectangle(100, 84, 300, 21));
        jLabelCadastroFuncionarioIdentidade.setBounds(new Rectangle(24, 86, 65, 17));
        jLabelCadastroFuncionarioIdentidade.setText("Identidade");
        jPanelConsultaViagem.setLayout(null);
        jLabelCadastroPassageiroPassagemDestino.setBounds(new Rectangle(14, 58, 51, 17));
        jLabelCadastroPassageiroPassagemDestino.setText("Destino");
        jLabelConsultaViagemOnibus.setBounds(new Rectangle(11, 90, 44, 17));
        jLabelConsultaViagemOnibus.setText("Onibus");
        jTextFieldConsultaViagemEmbarque.setEditable(false);
        jTextFieldConsultaViagemEmbarque.setBounds(new Rectangle(11, 25, 131, 21));
        jTextFieldConsultaFuncionarioCargo.setEditable(false);
        jTextFieldConsultaFuncionarioCargo.setBounds(new Rectangle(98, 118, 300, 21));
        jTextFieldConsultaOnibusAnoFabricacao.setEditable(false);
        jTextFieldConsultaOnibusAnoFabricacao.setBounds(new Rectangle(120, 94, 293, 21));
        jTextFieldCadastroPassageiroTelefone.setBounds(new Rectangle(296, 52, 126, 21));
        jTextFieldConsultaOnibusNumero.setBounds(new Rectangle(120, 35, 135, 21));
        jLabelCadastroViagemHoraChegada.setText("Hora Chegada");
        jLabelCadastroViagemHoraChegada.setBounds(new Rectangle(177, 95, 96, 17));
        jLabelCadastroPassageiroPassagem.setText("Dados da Passagem");
        jLabelCadastroPassageiroPassagem.setBounds(new Rectangle(146, 3, 131, 19));
        jLabelCadastroOnibusNumero.setText("Nmero");
        jLabelCadastroOnibusNumero.setBounds(new Rectangle(72, 45, 49, 17));
        jLabelCadastroOnibusAnoFabricacao.setBounds(new Rectangle(15, 102, 106, 17));
        jLabelCadastroOnibusAnoFabricacao.setText("Ano de Fabricao");
        jTextFieldCadastroViagemHoraPartida.setBounds(new Rectangle(177, 58, 86, 20));
        jToggleButtonCadastroPassageiroSalvar.setText("Salvar");
        jToggleButtonCadastroPassageiroSalvar.setBounds(new Rectangle(16, 168, 115, 23));
        jToggleButtonCadastroPassageiroSalvar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastroPassageiroSalvar_actionPerformed(e);
          }
        });
        jTextFieldConsultaViagemCusto.setEditable(false);
        jTextFieldConsultaViagemCusto.setBounds(new Rectangle(294, 107, 131, 21));
        jToggleButtonFuncionarioSalvar.setText("Salvar");
        jToggleButtonFuncionarioSalvar.setBounds(new Rectangle(37, 156, 118, 23));
        jToggleButtonFuncionarioSalvar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonFuncionarioSalvar_actionPerformed(e);
          }
        });
        jPanelCadastro.setLayout(null);
        jLabelConsultaViagemTempo.setBounds(new Rectangle(294, 6, 109, 17));
        jLabelConsultaViagemTempo.setText("Tempo de viagem");
        jTextFieldCadastroFuncionarioCargo.setBounds(new Rectangle(100, 119, 300, 21));
        jTextFieldCadastroOnibusModelo.setBounds(new Rectangle(128, 71, 293, 21));
        jToggleButtonCadastroViagemSalvar.setText("Salvar");
        jToggleButtonCadastroViagemSalvar.setBounds(new Rectangle(1, 2, 104, 25));
        jToggleButtonCadastroViagemSalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonCadastroViagemSalvar_actionPerformed(e);
              }
            });
        jToggleButtonConsultaViagemDelete.setBounds(new Rectangle(226, 156, 104, 25));
        jToggleButtonConsultaViagemDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonConsultaViagemDelete_actionPerformed(e);
              }
            });
        jToggleButtonConsultaViagemDelete.setText("Delete");
        jLabelConsultaFuncionarioCargo.setText("Cargo");
        jLabelConsultaFuncionarioCargo.setBounds(new Rectangle(46, 125, 41, 17));
        jLabelCadastroPassageiroTelefone.setBounds(new Rectangle(239, 52, 52, 22));
        jLabelCadastroPassageiroTelefone.setText("Telefone");
        jLabelFinancasDespesasResultado.setBounds(new Rectangle(334, 114, 107, 30));
        jLabelFinancasDespesasResultado.setForeground(Color.red);
        jLabelFinancasDespesasResultado.setOpaque(true);
        jLabelFinancasDespesasResultado.setText("0.000,00");
        jLabelFinancasDespesasResultado.setFont(new java.awt.Font("Dialog", 0, 16));
        jLabelFinancasDespesasResultado.setBackground(Color.black);
        jLabelCadastroPassageiroNome.setBounds(new Rectangle(37, 17, 38, 22));
        jLabelCadastroPassageiroNome.setText("Nome");
        jTextFieldConsultaViagemDistancia.setEditable(false);
        jTextFieldConsultaViagemDistancia.setBounds(new Rectangle(294, 66, 131, 21));
        jTextFieldConsultaViagemDistancia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jTextFieldConsultaViagemDistancia_actionPerformed(e);
              }
            });
        jTextFieldConsultaViagemDesembarque.setEditable(false);
        jTextFieldConsultaViagemDesembarque.setBounds(new Rectangle(11, 66, 131, 21));
        jTextFieldCadastroOnibusAnoFabricacao.setBounds(new Rectangle(128, 101, 293, 21));
        jToggleButtonConsultaOnibusExcluir.setText("Delete");
        jToggleButtonConsultaOnibusExcluir.setBounds(new Rectangle(284, 156, 115, 25));
        jToggleButtonConsultaOnibusExcluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonConsultaOnibusExcluir_actionPerformed(e);
              }
            });
        jLabelConsultaOnibusModelo.setText("Modelo");
        jLabelConsultaOnibusModelo.setBounds(new Rectangle(70, 67, 43, 17));
        scroll.setBounds(new Rectangle(12, 48, 207, 159));
        jLabelConsultaFuncionarioIdentidade.setText("Identidade");
        jLabelConsultaFuncionarioIdentidade.setBounds(new Rectangle(29, 31, 65, 17));
        jTextFieldConsultaOnibusDataRevisao.setEditable(false);
        jTextFieldConsultaOnibusDataRevisao.setBounds(new Rectangle(120, 123, 293, 21));
        jTextFieldConsultaViagemTempo.setEditable(false);
        jTextFieldConsultaViagemTempo.setBounds(new Rectangle(294, 22, 131, 21));
        jLabelConsultaViagemDistancia.setBounds(new Rectangle(294, 50, 66, 17));
        jLabelConsultaViagemDistancia.setText("Distncia");
        jToggleButtonConsultarViagemAche.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonConsultarViagemAche_actionPerformed(e);
              }
            });
        jToggleButtonConsultarViagemAche.setBounds(new Rectangle(55, 156, 104, 25));
        jToggleButtonConsultarViagemAche.setText("Ache");
        jToggleButtonCadastrarPassageiroCancelar.setText("Cancelar");
        jToggleButtonCadastrarPassageiroCancelar.setBounds(new Rectangle(307, 169, 115, 23));
        jToggleButtonCadastrarPassageiroCancelar.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonCadastrarPassageiroCancelar_actionPerformed(e);
          }
        });
        jTextFieldCadastroPassageiroPassagemDestino.setBounds(new Rectangle(68, 58, 128, 21));
        jTextFieldCadastroFuncionarioNome.setBounds(new Rectangle(100, 48, 300, 21));
        jLabelCadastroPassageiroPassagemData.setBounds(new Rectangle(235, 34, 34, 17));
        jLabelCadastroPassageiroPassagemData.setText("Data");
        jLabelCadastroViagemEmbarque.setText("Embarque");
        jLabelCadastroViagemEmbarque.setBounds(new Rectangle(14, 13, 66, 17));
        jTextFieldConsultaFuncionarioIdentidade.setBounds(new Rectangle(99, 29, 233, 21));
        jTabbedPaneConsulta.setBounds(new Rectangle(9, 19, 440, 210));
        jTextFieldConsultaViagemOnibus.setEditable(false);
        jTextFieldConsultaViagemOnibus.setBounds(new Rectangle(11, 107, 131, 21));
        jLabelCadastroPassageiroPassagemPoltrona.setBounds(new Rectangle(216, 58, 59, 17));
        jLabelCadastroPassageiroPassagemPoltrona.setText("Poltrona");
        jToggleButtonCadastroViagemCancelar.setText("Cancelar");
        jToggleButtonCadastroViagemCancelar.setBounds(new Rectangle(313, 2, 104, 25));
        jToggleButtonCadastroViagemCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonCadastroViagemCancelar_actionPerformed(e);
              }
            });
        jLabelCadastroViagemOnibus.setText("Onibus");
        jLabelCadastroViagemOnibus.setBounds(new Rectangle(14, 118, 44, 17));
        jTextFieldCadastroPassageiroPassagemOrigem.setBounds(new Rectangle(68, 32, 128, 21));
        jPanelConsultaFuncionario.setLayout(null);
        jPanelConsultaFuncionario.setToolTipText("");
        jLabelCadastroFuncionarioCargo.setBounds(new Rectangle(48, 122, 41, 17));
        jLabelCadastroFuncionarioCargo.setText("Cargo");
        jTextFieldConsultaViagemHoraChegada.setEditable(false);
        jTextFieldConsultaViagemHoraChegada.setBounds(new Rectangle(174, 99, 86, 21));
        jToggleButtonCadastroOnibusNovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jToggleButtonCadastroOnibusNovo_actionPerformed(e);
              }
            });
        jToggleButtonCadastroOnibusNovo.setBounds(new Rectangle(179, 157, 115, 25));
        jToggleButtonCadastroOnibusNovo.setText("Novo");
        jLabelConsultaViagemDesembarque.setBounds(new Rectangle(11, 50, 92, 17));
        jLabelConsultaViagemDesembarque.setText("Desembarque");
        jLabelCadastroFuncionarioNome.setText("Nome");
        jLabelCadastroFuncionarioNome.setBounds(new Rectangle(48, 50, 41, 17));
        jTextFieldCadastroOnibusNumero.setBounds(new Rectangle(128, 42, 293, 21));
        jLabelCadastroViagemCusto.setText("Custo");
        jLabelCadastroViagemCusto.setBounds(new Rectangle(298, 118, 41, 17));
        jLabelConsultaOnibusDataRevisao.setText("Data de Reviso");
        jLabelConsultaOnibusDataRevisao.setBounds(new Rectangle(18, 124, 95, 17));
        jTextFieldCadastroPassageiroNome.setBounds(new Rectangle(83, 18, 210, 21));
        jTextFieldCadastroViagemCusto.setBounds(new Rectangle(298, 135, 131, 21));
        jTextFieldCadastroPassageiroIdade.setBounds(new Rectangle(362, 18, 63, 21));
        jTextFieldCadastroPassageiroPassagemData.setBounds(new Rectangle(270, 32, 128, 21));
        jLabelConsultaOnibusNumero.setBounds(new Rectangle(64, 38, 49, 17));
        jLabelConsultaOnibusNumero.setText("Nmero");
        jLabelFinancasLucro.setFont(new java.awt.Font("Dialog", 0, 18));
        jLabelFinancasLucro.setText("Lucro");
        jLabelFinancasLucro.setBounds(new Rectangle(333, 150, 117, 17));
        jTextFieldCadastroOnibusDataRevisao.setBounds(new Rectangle(128, 130, 293, 21));
        jLabelConsultaViagemEmbarque.setBounds(new Rectangle(11, 9, 66, 17));
        jLabelConsultaViagemEmbarque.setText("Embarque");
        jToggleButtonFinancasAtualiza.setText("Atualiza >>");
        jToggleButtonFinancasAtualiza.setBounds(new Rectangle(225, 120, 104, 25));
        jToggleButtonFinancasAtualiza.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonFinancasAtualiza_actionPerformed(e);
          }
        });
        jLabelTitulo.setBackground(Color.yellow);
        jLabelTitulo.setFont(new java.awt.Font("Dialog", 1, 20));
        jLabelTitulo.setForeground(Color.red);
        jLabelTitulo.setBorder(titledBorder1);
        jLabelTitulo.setDebugGraphicsOptions(DebugGraphics.FLASH_OPTION);
        jLabelTitulo.setText("                    ..::: SGER 2002 :::.. ");
        jLabelTitulo.setBounds(new Rectangle(2, 4, 472, 35));
        jLabelRodape.setFont(new java.awt.Font("Dialog", 0, 18));
        jLabelRodape.setForeground(Color.blue);
        jLabelRodape.setBorder(BorderFactory.createLoweredBevelBorder());
        jLabelRodape.setBounds(new Rectangle(1, 303, 478, 30));
        jToggleButtonTrocarUsuario.setToolTipText("");
        jToggleButtonTrocarUsuario.setText("Trocar Usurio");
        jToggleButtonTrocarUsuario.setBounds(new Rectangle(260, 307, 126, 24));
        jToggleButtonTrocarUsuario.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonTrocarUsuario_actionPerformed(e);
          }
        });
        jToggleButtonSair.setBackground(Color.black);
        jToggleButtonSair.setFont(new java.awt.Font("Dialog", 1, 14));
        jToggleButtonSair.setForeground(Color.red);
        jToggleButtonSair.setText("Sair");
        jToggleButtonSair.setBounds(new Rectangle(395, 307, 79, 24));
        jToggleButtonSair.addActionListener(new java.awt.event.ActionListener() {
          public void actionPerformed(ActionEvent e) {
            jToggleButtonSair_actionPerformed(e);
          }
        });
        this.add(jPanelEntrada, null);
        jPanelEntrada.add(jPanelLogon, null);
        jPanelLogon.add(senha, null);
        jPanelLogon.add(jToggleButtonEntrar, null);
        jPanelLogon.add(jToggleButtonCancelar, null);
        this.add(jTextPane1, null);
        this.add(jPanelPrincipal, null);
        jPanelCadastroFuncionario.add(jTextFieldCadastroFuncionarioCargo, null);
        jPanelCadastroFuncionario.add(jTextFieldCadastroFuncionarioNome, null);
        jPanelCadastroFuncionario.add(jTextFieldCadastroFuncionarioIdentidade, null);
        jPanelCadastroFuncionario.add(jLabelCadastroFuncionarioNome, null);
        jPanelCadastroFuncionario.add(jLabelCadastroFuncionarioIdentidade, null);
        jPanelCadastroFuncionario.add(jLabelCadastroFuncionarioCargo, null);
        jPanelCadastroFuncionario.add(jToggleButtonFuncionarioSalvar, null);
        jPanelCadastroFuncionario.add(jToggleButtonFuncionarioNovo, null);
        jPanelCadastroFuncionario.add(jToggleButtonFuncionarioCancelar, null);
        jTabbedPaneCadastro.add(jPanelCadastroOnibus, "nibus");
        jPanelCadastroOnibus.add(jLabelCadastroOnibusAnoFabricacao, null);
        jPanelCadastroOnibus.add(jLabelCadastroOnibusDataRevisao, null);
        jPanelCadastroOnibus.add(jLabelCadastroOnibusModelo, null);
        jPanelCadastroOnibus.add(jLabelCadastroOnibusNumero, null);
        jPanelCadastroOnibus.add(jTextFieldCadastroOnibusNumero, null);
        jPanelCadastroOnibus.add(jTextFieldCadastroOnibusModelo, null);
        jPanelCadastroOnibus.add(jTextFieldCadastroOnibusAnoFabricacao, null);
        jPanelCadastroOnibus.add(jTextFieldCadastroOnibusDataRevisao, null);
        jPanelCadastroOnibus.add(jToggleButtonCadastroOnibusCancelar, null);
        jPanelCadastroOnibus.add(jToggleButtonCadastroOnibusNovo, null);
        jPanelCadastroOnibus.add(jToggleButtonCadastroOnibusSalvar, null);
        jTabbedPaneCadastro.add(jPanelCadastroViagem, "Viagem");
        jPanelCadastroPassageiro.add(jLabelCadastroPassageiroIdentidade, null);
        jPanelCadastroPassageiro.add(jTextFieldCadastroPassageiroNome, null);
        jPanelCadastroPassageiro.add(jLabelCadastroPassageiroIdade, null);
        jPanelCadastroPassageiro.add(jLabelCadastroPassageiroNome, null);
        jPanelCadastroPassageiro.add(jTextFieldCadastroPassageiroTelefone, null);
        jPanelCadastroPassageiro.add(jLabelCadastroPassageiroTelefone, null);
        jPanelCadastroPassageiro.add(jTextFieldCadastroPassageiroIdentidade, null);
        jPanelCadastroPassageiro.add(jPanelCadastroPassageiroPassagem, null);
        jPanelCadastroPassageiroPassagem.add(jLabelCadastroPassageiroPassagem, null);
        jPanelCadastroPassageiroPassagem.add(jTextFieldCadastroPassageiroPassagemData, null);
        jPanelCadastroPassageiroPassagem.add(jTextFieldCadastroPassageiroPassagemPoltrona, null);
        jPanelCadastroPassageiroPassagem.add(jLabelCadastroPassageiroPassagemOrigem, null);
        jPanelCadastroPassageiroPassagem.add(jLabelCadastroPassageiroPassagemDestino, null);
        jPanelCadastroPassageiroPassagem.add(jTextFieldCadastroPassageiroPassagemDestino, null);
        jPanelCadastroPassageiroPassagem.add(jTextFieldCadastroPassageiroPassagemOrigem, null);
        jPanelCadastroPassageiroPassagem.add(jLabelCadastroPassageiroPassagemData, null);
        jPanelCadastroPassageiroPassagem.add(jLabelCadastroPassageiroPassagemPoltrona, null);
        jPanelCadastroPassageiro.add(jToggleButtonCadastroPassageiroSalvar, null);
        jPanelCadastroPassageiro.add(jToggleButtonCadastrarPassageiroCancelar, null);
        jPanelCadastroPassageiro.add(jToggleButtonCadastraPassageiroNovo, null);
        jPanelCadastroPassageiro.add(jTextFieldCadastroPassageiroIdade, null);
        jTabbedPaneCadastro.add(jPanelCadastroFuncionario, "Funcionrio");
        jTabbedPaneCadastro.add(jPanelCadastroPassageiro, "Venda de Passagem");
        jPanelCadastroViagem.add(jTextFieldCadastroViagemHoraChegada, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemEmbarque, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemEmbarque, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemTempo, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemTempo, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemDistancia, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemDistancia, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemCusto, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemCusto, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemOnibus, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemOnibus, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemDesembarque, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemDesembarque, null);
        jPanelCadastroViagem.add(jPanel1, null);
        jPanel1.add(jToggleButtonCadastroViagemSalvar, null);
        jPanel1.add(jToggleButtonCadastroViagemNovo, null);
        jPanel1.add(jToggleButtonCadastroViagemCancelar, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemHoraSaida, null);
        jPanelCadastroViagem.add(jLabelCadastroViagemHoraChegada, null);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemHoraPartida, null);
        jTabbedPaneCentral.add(jPanelCadastro, "Cadastro");
        jTabbedPaneCentral.add(jPanelConsulta, "Consulta");
        jPanelConsulta.add(jTabbedPaneConsulta, null);
        jPanelCadastro.add(jTabbedPaneCadastro, null);
        jPanelFinancas.add(jLabelFinancasOcorrencias, null);
        jPanelFinancas.add(scroll, null);
        jPanelFinancas.add(jLabelFinancasArrecadacao, null);
        jPanelFinancas.add(jLabelFinancasArrecadacaoResultado, null);
        jPanelFinancas.add(jLabelFinancasDespesas, null);
        jPanelFinancas.add(jLabelFinancasDespesasResultado, null);
        jPanelFinancas.add(jLabelFinancasLucroResultado, null);
        jPanelFinancas.add(jLabelFinancasLucro, null);
        jPanelFinancas.add(jToggleButtonFinancasAtualiza, null);
        jPanelPrincipal.add(jToggleButtonTrocarUsuario, null);
        jPanelPrincipal.add(jLabelTitulo, null);
        jPanelPrincipal.add(jTabbedPaneCentral, null);
        jPanelConsultaOnibus.add(jTextFieldConsultaOnibusNumero, null);
        jPanelConsultaOnibus.add(jLabelConsultaOnibusNumero, null);
        jPanelConsultaOnibus.add(jLabelConsultaOnibusModelo, null);
        jPanelConsultaOnibus.add(jLabelConsultaOnibusAnoFabricacao, null);
        jPanelConsultaOnibus.add(jLabelConsultaOnibusDataRevisao, null);
        jPanelConsultaOnibus.add(jTextFieldConsultaOnibusDataRevisao, null);
        jPanelConsultaOnibus.add(jTextFieldConsultaOnibusAnoFabricacao, null);
        jPanelConsultaOnibus.add(jTextFieldConsultaOnibusModelo, null);
        jPanelConsultaOnibus.add(jToggleButtonConsultaOnibus, null);
        jPanelConsultaOnibus.add(jToggleButtonConsultaOnibusExcluir, null);
        jTabbedPaneCentral.add(jPanelFinancas, "Financas");
        jPanelConsultaFuncionario.add(jLabelConsultaFuncionarioCargo, null);
        jPanelConsultaFuncionario.add(jTextFieldConsultaFuncionarioCargo, null);
        jPanelConsultaFuncionario.add(jTextFieldConsultaFuncionarioNome, null);
        jPanelConsultaFuncionario.add(jLabelConsultaFuncionarioNome, null);
        jPanelConsultaFuncionario.add(jTextFieldConsultaFuncionarioIdentidade, null);
        jPanelConsultaFuncionario.add(jLabelConsultaFuncionarioIdentidade, null);
        jPanelConsultaFuncionario.add(jToggleButtonFuncionarioConsultaAche, null);
        jPanelConsultaFuncionario.add(jToggleButtonConsultaFuncionarioDelete, null);
        jTabbedPaneConsulta.add(jPanelConsultaViagem, "Viagem");
        jTabbedPaneConsulta.add(jPanelConsultaFuncionario, "Funcionrio");
        jPanelConsultaViagem.add(jTextFieldConsultaViagemEmbarque, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemEmbarque, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemDistancia, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemDistancia, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemTempo, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemCusto, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemTempo, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemDesembarque, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemDesembarque, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemOnibus, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemOnibus, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemHoraChegada, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemHoraPartida, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemHoraPartida, null);
        jPanelConsultaViagem.add(jTextFieldConsultaViagemHoraChegada, null);
        jPanelConsultaViagem.add(jLabelConsultaViagemCusto, null);
        jPanelConsultaViagem.add(jToggleButtonConsultaViagemDelete, null);
        jPanelConsultaViagem.add(jToggleButtonConsultarViagemAche, null);
        jTabbedPaneConsulta.add(jPanelConsultaOnibus, "nibus");
        jList.setVisibleRowCount(7);
        jList.setFixedCellHeight(15);
        String teste[] = {"","","","","","","","","","","",""};
        jList.setListData(teste);
        jList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        jPanelLogon.add(jLabelSenha, null);
        jPanelLogon.add(jLabelLogin, null);
        jPanelLogon.add(jTextFieldUsuario, null);
        jPanelPrincipal.setVisible(false);
        jTextPane1.setVisible(true);
        jPanelEntrada.setVisible(true);
        jTabbedPaneCadastro.setSelectedIndex(3);
        jTabbedPaneCentral.setSelectedComponent(jPanelCadastro);
        jTabbedPaneCentral.setSelectedIndex(0);
        jPanelCadastroViagem.add(jTextFieldCadastroViagemHoraChegada, null);
        jPanelPrincipal.add(jToggleButtonSair, null);
        jPanelPrincipal.add(jLabelRodape, null);
        jTabbedPaneConsulta.setSelectedComponent(jPanelConsultaOnibus);
        jTabbedPaneConsulta.setSelectedIndex(2);
    }
    
    //Get Applet information
    public String getAppletInfo() {
        return "Applet Information";
    }
    
    //Get parameter info
    public String[][] getParameterInfo() {
        return null;
    }

    void jToggleButtonFuncionarioSalvar_actionPerformed(ActionEvent e) {
        String nome = jTextFieldCadastroFuncionarioNome.getText();
        String identidade = jTextFieldCadastroFuncionarioIdentidade.getText();
        String cargo = jTextFieldCadastroFuncionarioCargo.getText();
        Funcionario funcionarioNovo = new Funcionario(nome, identidade, cargo);
        
        try {
            fachada.inserirFuncionario(funcionarioNovo);
            DialogAviso d = new DialogAviso(new Frame(),"Cadastro Efetivado",false,"Funcionario "+ identidade +" cadastrado com xito");
            d.setSize(300,125);
            d.setVisible(true);
        } catch (ObjetoJaCadastradoException jcexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Funcionario Existente",false,"Funcionario " + identidade + " ja existe!");
            d.setSize(300,125);
            d.setVisible(true);
        } catch (ObjetoVazioException ovexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Dados em Branco",false,"Cadastre novamente");
            d.setSize(300,125);
            d.setVisible(true);
        } finally {
            jTextFieldCadastroFuncionarioNome.setText("");
            jTextFieldCadastroFuncionarioIdentidade.setText("");
            jTextFieldCadastroFuncionarioCargo.setText("");
        }
      }

      void jToggleButtonFuncionarioNovo_actionPerformed(ActionEvent e) {
          jTextFieldCadastroFuncionarioNome.setText(" ");
          jTextFieldCadastroFuncionarioIdentidade.setText(" ");
          jTextFieldCadastroFuncionarioCargo.setText(" ");
      }

      void jToggleButtonFuncionarioCancelar_actionPerformed(ActionEvent e) {
          jTextFieldCadastroFuncionarioNome.setText(" ");
          jTextFieldCadastroFuncionarioIdentidade.setText(" ");
          jTextFieldCadastroFuncionarioCargo.setText(" ");
      }

      void jToggleButtonFuncionarioConsultaAche_actionPerformed(ActionEvent e) {
          String chaveDeBusca = jTextFieldConsultaFuncionarioIdentidade.getText();
          Funcionario funcionarioBusca = new Funcionario("",chaveDeBusca,"");
          Funcionario[] resultadoConsulta;
        
        try {
            resultadoConsulta = fachada.consultarFuncionario(funcionarioBusca);
            String nome = resultadoConsulta[0].getNome();
            String cargo = resultadoConsulta[0].getCargoDoFuncionario();
            jTextFieldConsultaFuncionarioCargo.setText(cargo);
            jTextFieldConsultaFuncionarioNome.setText(nome);
        } catch (ObjetoInexistenteException oiexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Funcionario inexistente",false,"Funcionario " + chaveDeBusca + " nao existe!");
            d.setSize(300,125);
            d.setVisible(true);
        } catch (ObjetoVazioException ovexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Funcionario inexistente",false,"Funcionario nao existe!");
            d.setSize(300,125);
            d.setVisible(true);

        } catch(ObjetoJaCadastradoException ojcexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Conflito interno",false,"Tente Novamente.");
            d.setSize(300,125);
            d.setVisible(true);
        }

      }
      void jToggleButtonCadastroOnibusNovo_actionPerformed(ActionEvent e) {
            jTextFieldCadastroOnibusNumero.setText("");
            jTextFieldCadastroOnibusModelo.setText("");
            jTextFieldCadastroOnibusAnoFabricacao.setText("");
            jTextFieldCadastroOnibusDataRevisao.setText("");
      }
      
      void jToggleButtonCadastroOnibusSalvar_actionPerformed(ActionEvent e) {
          String numero = jTextFieldCadastroOnibusNumero.getText().trim();
          String modelo = jTextFieldCadastroOnibusModelo.getText();
          String anoDeFabricacao = jTextFieldCadastroOnibusAnoFabricacao.getText();
          String dataRev = jTextFieldCadastroOnibusDataRevisao.getText();
  
          Onibus onibusNovo = new Onibus(modelo, dataRev, numero, anoDeFabricacao);
  
          try {
              fachada.inserirOnibus(onibusNovo);
  
              DialogAviso d = new DialogAviso(new Frame(),"Cadastro Efetivado",false,"Onibus "+ numero +" cadastrado com xito");
              d.setSize(300,125);
              d.setVisible(true);
          } catch (ObjetoJaCadastradoException jcexp) {
              DialogAviso d = new DialogAviso(new Frame(),"Onibus Existente",false,"Onibus " + numero + " ja existe!");
              d.setSize(300,125);
              d.setVisible(true);
          } catch (ObjetoVazioException ovexp) {
              DialogAviso d = new DialogAviso(new Frame(),"Dados em Branco",false,"Cadastre novamente");
              d.setSize(300,125);
              d.setVisible(true);
          }
      }
      
      void jToggleButtonCadastroOnibusCancelar_actionPerformed(ActionEvent e) {
          jTextFieldCadastroOnibusNumero.setText("");
          jTextFieldCadastroOnibusModelo.setText("");
          jTextFieldCadastroOnibusAnoFabricacao.setText("");
          jTextFieldCadastroOnibusDataRevisao.setText("");
      }

      void jToggleButtonConsultaOnibus_actionPerformed(ActionEvent e) {
          String chaveDeBusca = jTextFieldConsultaOnibusNumero.getText().trim();
          Onibus onibusBusca = new Onibus("","",chaveDeBusca,"");
          Onibus[] resultadoConsulta;
  
          try {
              resultadoConsulta = fachada.consultarOnibus(onibusBusca);
              String modelo = resultadoConsulta[0].getModeloOnibus();
              String anoDeFabricacao = resultadoConsulta[0].getAnoFabOnibus();
              String dataRevisao = resultadoConsulta[0].getDataRevOnibus();
              jTextFieldConsultaOnibusModelo.setText(modelo);
              jTextFieldConsultaOnibusAnoFabricacao.setText(anoDeFabricacao);
              jTextFieldConsultaOnibusDataRevisao.setText(dataRevisao);
          } catch (ObjetoInexistenteException oiexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente na frota",false,"Onibus " + chaveDeBusca + " nao existe!");
            d.setSize(300,125);
            d.setVisible(true);
          } catch (ObjetoVazioException ovexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente",false,"Onibus nao existe!");
            d.setSize(300,125);
            d.setVisible(true);
          } catch (ObjetoJaCadastradoException ojcexp) {
            DialogAviso d = new DialogAviso(new Frame(),"Conflito interno",false,"Tente Novamente.");
            d.setSize(300,125);
            d.setVisible(true);
          }
      }

      void jToggleButtonConsultaOnibusExcluir_actionPerformed(ActionEvent e) {
        String chaveDeBusca = jTextFieldConsultaOnibusNumero.getText().trim();
        Onibus onibusBusca = new Onibus("","",chaveDeBusca,"");

        try {
            fachada.removerOnibus(onibusBusca);
    
            jTextFieldConsultaOnibusNumero.setText("");
            jTextFieldConsultaOnibusModelo.setText("");
            jTextFieldConsultaOnibusAnoFabricacao.setText("");
            jTextFieldConsultaOnibusDataRevisao.setText("");
    
            DialogAviso d = new DialogAviso(new Frame(),"Delete Onibus",false,"Onibus deletado com xito.");
            d.setSize(300,125);
            d.setVisible(true);
            
        } catch (ObjetoInexistenteException oiexp){
            DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente na frota",false,"Onibus " + chaveDeBusca + " nao existe!");
            d.setSize(300,125);
            d.setVisible(true);
        } catch (ObjetoVazioException ovexp){
            DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente",false,"Onibus nao existe!");
            d.setSize(300,125);
            d.setVisible(true);

        }
      }

      void jToggleButtonConsultaFuncionarioDelete_actionPerformed(ActionEvent e) {
          String chaveDeBusca = jTextFieldConsultaFuncionarioIdentidade.getText().trim();
          Funcionario funcionarioBusca = new Funcionario("",chaveDeBusca,"");
  
          try {
              fachada.removerFuncionario(funcionarioBusca);
      
              jTextFieldConsultaFuncionarioIdentidade.setText("");
              jTextFieldConsultaFuncionarioCargo.setText("");
              jTextFieldConsultaFuncionarioNome.setText("");
      
              DialogAviso d = new DialogAviso(new Frame(),"Delete Funcionario",false,"Funcionario deletado com xito.");
              d.setSize(300,125);
              d.setVisible(true);
  
          } catch (ObjetoInexistenteException oiexp){
              DialogAviso d = new DialogAviso(new Frame(),"Funcionario inexistente",false,"Funcionario " + chaveDeBusca + " nao existe!");
              d.setSize(300,125);
              d.setVisible(true);
          } catch (ObjetoVazioException ovexp){
              DialogAviso d = new DialogAviso(new Frame(),"Funcionario inexistente",false,"Onibus nao existe!");
              d.setSize(300,125);
              d.setVisible(true);
          }
      }

      void jToggleButtonCadastroPassageiroSalvar_actionPerformed(ActionEvent e) {

          String nome = jTextFieldCadastroPassageiroNome.getText();
          String identidade = jTextFieldCadastroPassageiroIdentidade.getText();
          int idade = Integer.parseInt(jTextFieldCadastroPassageiroIdade.getText());
          String telefone = jTextFieldCadastroPassageiroTelefone.getText();
          String origem = jTextFieldCadastroPassageiroPassagemOrigem.getText();
          String destino = jTextFieldCadastroPassageiroPassagemDestino.getText();
          String data = jTextFieldCadastroPassageiroPassagemData.getText();
          int poltrona =Integer.parseInt(jTextFieldCadastroPassageiroPassagemPoltrona.getText());
          Viagem viagemKey = new Viagem(origem,"",new Onibus(),100,100,0,0,0);

          try {
              Viagem viagemDaPassagem = fachada.consultarViagem(viagemKey)[0];
              System.out.println(viagemDaPassagem.getEmbarque()+" - "+viagemDaPassagem.getDesembarque());
              int preco = viagemDaPassagem.getCustoDaViagem() - 10;
              String intinerario = origem+"-"+destino;
              Passagem passagemNova = new Passagem(data,intinerario,viagemDaPassagem,poltrona, preco);
              System.out.println("Preco da Passagem: " + passagemNova.getPreco());
              Passageiro passageiroNovo;
              if ((idade > 0) && (idade < 22)) {
                  passageiroNovo = new PassageiroCrianca(nome,identidade,telefone, passagemNova);
              } else if ((idade > 21) && (idade < 71)) {
                  passageiroNovo = new PassageiroAdulto(nome,identidade,telefone, passagemNova);
              } else {
                  passageiroNovo = new PassageiroIdoso(nome,identidade,telefone, passagemNova);
              }
              System.out.println(passageiroNovo.getNome()+" PassageiroOK1");
              fachada.inserirPassageiro(passageiroNovo);
              fachada.inserirPassagem(passageiroNovo.getPassagemDoPassageiro());
              Passageiro[] teste = fachada.listarTodosPassageiro();
              System.out.println(teste[0].getNome()+" PassageiroOK2");
              DialogAviso d = new DialogAviso(new Frame(),"Venda de Passagem",false,"Passagem vendida com xito.");
              d.setSize(300,140);
              d.setVisible(true);

          } catch (ObjetoInexistenteException oiexp) {
              DialogAviso d = new DialogAviso(new Frame(),"Venda Falha !!!",false,"Passagem inexistente.");
              d.setSize(300,140);
              d.setVisible(true);
          } catch (ObjetoJaCadastradoException ojcexp ) {
              DialogAviso d = new DialogAviso(new Frame(),"Venda Falha !!!",false,"Passagem j vendida!!!");
              d.setSize(300,140);
              d.setVisible(true);
          }catch(ObjetoVazioException ojexp ) {
            DialogAviso d = new DialogAviso(new Frame(),"Venda Falha !!!",false,"Passagem inexistente.");
            d.setSize(300,140);
            d.setVisible(true);
          }
      }

      void jToggleButtonCadastroViagemSalvar_actionPerformed(ActionEvent e) {

        String embarque = jTextFieldCadastroViagemEmbarque.getText();
        String desembarque = jTextFieldCadastroViagemDesembarque.getText();
        String numero_onibus = jTextFieldCadastroViagemOnibus.getText();
        Onibus onibusChave = new Onibus("","",numero_onibus,"");

        int horaSaida;
        int horaChegada;
        int tempoViagem;
        int custo;
        int distancia;

        try{
          horaSaida = Integer.parseInt(jTextFieldCadastroViagemHoraPartida.getText());
          horaChegada = Integer.parseInt(jTextFieldCadastroViagemHoraChegada.getText());
          tempoViagem = Integer.parseInt(jTextFieldCadastroViagemTempo.getText());
          custo = Integer.parseInt(jTextFieldCadastroViagemCusto.getText());
          distancia = Integer.parseInt(jTextFieldCadastroViagemDistancia.getText());

          Onibus onibusDaViagem;
          Viagem viagemNova = new Viagem();

        try{
         onibusDaViagem = fachada.consultarOnibus(onibusChave)[0];
         viagemNova = new Viagem(embarque,desembarque,onibusDaViagem,horaSaida,
                                       horaChegada, distancia, tempoViagem, custo);

        }catch(ObjetoInexistenteException oiexp){
          DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente na frota",false,"Onibus " + onibusChave + " nao existe!");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoVazioException ovexp){
          DialogAviso d = new DialogAviso(new Frame(),"Onibus inexistente",false,"Onibus nao existe!");
          d.setSize(300,125);
          d.setVisible(true);

        }catch(ObjetoJaCadastradoException ojcexp){
          DialogAviso d = new DialogAviso(new Frame(),"Conflito interno",false,"Tente Novamente.");
          d.setSize(300,125);
          d.setVisible(true);
        }

        try{

          fachada.inserirViagem(viagemNova);

          DialogAviso d = new DialogAviso(new Frame(),"Cadastro Efetivado",false,"Viagem  cadastrada com xito");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoJaCadastradoException jcexp){
          DialogAviso d = new DialogAviso(new Frame(),"Viagem Existente",false,"Viagem j existe!");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoVazioException ovexp){
          DialogAviso d = new DialogAviso(new Frame(),"Dados em Branco",false,"Cadastre novamente");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoInexistenteException ovexp){

        }


        }catch(NumberFormatException exp){


          DialogAviso d = new DialogAviso(new Frame(),"Formato invalido",false,"Entrada em " + exp.getMessage() + " errada");
          d.setSize(300,125);
          d.setVisible(true);

        }
      }

      void jToggleButtonConsultarViagemAche_actionPerformed(ActionEvent e) {

        int horaChave = Integer.parseInt(jTextFieldConsultaViagemHoraPartida.getText().trim());


        Viagem viagemBusca = new Viagem("", "",new Onibus(),horaChave,100,
                                        0, 0, 0);



        Viagem[] resultadoConsulta;
        try{

        resultadoConsulta = fachada.consultarViagem(viagemBusca);


        String onibus = resultadoConsulta[0].getOnibusDaViagem().getNumeroOnibus();
        String embarque = resultadoConsulta[0].getEmbarque();
        String desembarque = resultadoConsulta[0].getDesembarque();

        int horaChegada = resultadoConsulta[0].getHoraChegada();
        int distancia = resultadoConsulta[0].getDistancia();
        int tempo = resultadoConsulta[0].getTempoDeViagem();
        int custo = resultadoConsulta[0].getCustoDaViagem();

        jTextFieldConsultaViagemOnibus.setText(onibus);
        jTextFieldConsultaViagemEmbarque.setText(embarque);
        jTextFieldConsultaViagemDesembarque.setText(desembarque);
        jTextFieldConsultaViagemHoraChegada.setText(String.valueOf(horaChegada));
        jTextFieldConsultaViagemDistancia.setText(String.valueOf(distancia));
        jTextFieldConsultaViagemTempo.setText(String.valueOf(tempo));
        jTextFieldConsultaViagemCusto.setText(String.valueOf(custo));

        }catch(ObjetoInexistenteException oiexp){
          DialogAviso d = new DialogAviso(new Frame(),"Viagem inexistente",false,"Viagem nao existe!");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoVazioException ovexp){
          DialogAviso d = new DialogAviso(new Frame(),"Viagem inexistente",false,"Viagem nao existe!");
          d.setSize(300,125);
          d.setVisible(true);

        }catch(ObjetoJaCadastradoException ojcexp){
          DialogAviso d = new DialogAviso(new Frame(),"Conflito interno",false,"Tente Novamente.");
          d.setSize(300,125);
          d.setVisible(true);
        }


      }


      void jToggleButtonCadastroViagemNovo_actionPerformed(ActionEvent e) {

        jTextFieldCadastroViagemEmbarque.setText("");
        jTextFieldCadastroViagemDesembarque.setText("");
        jTextFieldCadastroViagemOnibus.setText("");
        jTextFieldCadastroViagemHoraPartida.setText("");
        jTextFieldCadastroViagemHoraChegada.setText("");
        jTextFieldCadastroViagemTempo.setText("");
        jTextFieldCadastroViagemCusto.setText("");
        jTextFieldCadastroViagemDistancia.setText("");



      }

      void jToggleButtonCadastroViagemCancelar_actionPerformed(ActionEvent e) {


        jTextFieldCadastroViagemEmbarque.setText("");
        jTextFieldCadastroViagemDesembarque.setText("");
        jTextFieldCadastroViagemOnibus.setText("");
        jTextFieldCadastroViagemHoraPartida.setText("");
        jTextFieldCadastroViagemHoraChegada.setText("");
        jTextFieldCadastroViagemTempo.setText("");
        jTextFieldCadastroViagemCusto.setText("");
        jTextFieldCadastroViagemDistancia.setText("");
      }

      void jToggleButtonConsultaViagemDelete_actionPerformed(ActionEvent e) {

        int chaveDeBusca = Integer.parseInt(jTextFieldConsultaViagemHoraPartida.getText().trim());

        Viagem viagemBusca = new Viagem("", "",new Onibus(),chaveDeBusca,100,
                                        0, 0, 0);


        try{

        fachada.removerViagem(viagemBusca);

        jTextFieldCadastroViagemEmbarque.setText("");
        jTextFieldCadastroViagemDesembarque.setText("");
        jTextFieldCadastroViagemOnibus.setText("");
        jTextFieldCadastroViagemHoraPartida.setText("");
        jTextFieldCadastroViagemHoraChegada.setText("");
        jTextFieldCadastroViagemTempo.setText("");
        jTextFieldCadastroViagemCusto.setText("");
        jTextFieldCadastroViagemDistancia.setText("");


        DialogAviso d = new DialogAviso(new Frame(),"Delete Viagem",false,"Viagem deletada com xito.");
        d.setSize(300,125);
        d.setVisible(true);

        }catch(ObjetoInexistenteException oiexp){
          DialogAviso d = new DialogAviso(new Frame(),"Viagem inexistente",false,"Viagem nao existe!");
          d.setSize(300,125);
          d.setVisible(true);
        }catch(ObjetoVazioException ovexp){
          DialogAviso d = new DialogAviso(new Frame(),"Funcionario inexistente",false,"Onibus nao existe!");
          d.setSize(300,125);
          d.setVisible(true);

        }catch(ObjetoJaCadastradoException ojcexp){

        }


      }


  void jToggleButtonFinancasAtualiza_actionPerformed(ActionEvent e) {

    System.out.println("Passou1");
    String nomeDePassageiros[] = new String[fachada.listarTodosPassageiro().length];
    System.out.println("Passou12 _ "+nomeDePassageiros.length);


    for (int i = 0; i < nomeDePassageiros.length - 1; i++) {
      nomeDePassageiros[i] = fachada.listarTodosPassageiro()[i].getNome()+" | "+
                             fachada.listarTodosPassageiro()[i].getPassagemDoPassageiro().
                             getViagemDaPassagem()+" | "+fachada.listarTodosPassageiro()[i].
                             getPassagemDoPassageiro().getPreco();
      System.out.println(nomeDePassageiros[i]);
    }

    System.out.println("Passou3");
    jList.setListData(nomeDePassageiros);

    try{
    fachada.setFinancas();
    String arrecadacao = String.valueOf(fachada.getFinancas().getArrecadacao());
    String despesas = String.valueOf(fachada.getFinancas().getDespesas());
    String lucro = String.valueOf(fachada.getFinancas().getLucro());

    jLabelFinancasArrecadacaoResultado.setText(arrecadacao);
    jLabelFinancasDespesasResultado.setText(despesas);
    jLabelFinancasLucroResultado.setText(lucro);

    }catch(ObjetoJaCadastradoException ojcexp){

    }catch(ObjetoVazioException ovexp){

    }

  }

  void jToggleButtonCadastraPassageiroNovo_actionPerformed(ActionEvent e) {

          jTextFieldCadastroPassageiroNome.setText("");
          jTextFieldCadastroPassageiroIdentidade.setText("");
          jTextFieldCadastroPassageiroIdade.setText("");
          jTextFieldCadastroPassageiroTelefone.setText("");
          jTextFieldCadastroPassageiroPassagemOrigem.setText("");
          jTextFieldCadastroPassageiroPassagemDestino.setText("");
          jTextFieldCadastroPassageiroPassagemData.setText("");
          jTextFieldCadastroPassageiroPassagemPoltrona.setText("");
  }

  void jToggleButtonCadastrarPassageiroCancelar_actionPerformed(ActionEvent e) {

          jTextFieldCadastroPassageiroNome.setText("");
          jTextFieldCadastroPassageiroIdentidade.setText("");
          jTextFieldCadastroPassageiroIdade.setText("");
          jTextFieldCadastroPassageiroTelefone.setText("");
          jTextFieldCadastroPassageiroPassagemOrigem.setText("");
          jTextFieldCadastroPassageiroPassagemDestino.setText("");
          jTextFieldCadastroPassageiroPassagemData.setText("");
          jTextFieldCadastroPassageiroPassagemPoltrona.setText("");
  }

  void jToggleButtonEntrar_actionPerformed(ActionEvent e) {

    if(senha.getText().equals("teste"))  {
      if(!jTextFieldUsuario.getText().equals("administrador")){
        jLabelRodape.setText("Usurio: "+jTextFieldUsuario.getText());
        jPanelEntrada.setVisible(false);
        jTabbedPaneCentral.setVisible(true);
        jTabbedPaneCentral.setEnabledAt(2,false);
        jTabbedPaneCadastro.setEnabledAt(0,false);
        jTabbedPaneCadastro.setEnabledAt(1,false);
        jTabbedPaneCadastro.setEnabledAt(2,false);
        jTabbedPaneConsulta.setEnabledAt(1,false);
        jTabbedPaneCadastro.setSelectedIndex(3);
        jPanelPrincipal.setVisible(true);
        jTextPane1.setVisible(false);
        jPanelEntrada.setVisible(false);
    }else{

        jLabelRodape.setText("Usurio: "+jTextFieldUsuario.getText());
        jPanelEntrada.setVisible(false);
        jTabbedPaneCentral.setVisible(true);
        jTabbedPaneCadastro.setSelectedIndex(3);
        jTabbedPaneCentral.setEnabledAt(2,true);
        jTabbedPaneCadastro.setEnabledAt(0,true);
        jTabbedPaneCadastro.setEnabledAt(1,true);
        jTabbedPaneCadastro.setEnabledAt(2,true);
        jTabbedPaneConsulta.setEnabledAt(1,true);
        jPanelPrincipal.setVisible(true);
        jTextPane1.setVisible(false);
        jPanelEntrada.setVisible(false);

    }

    } else {
      DialogAviso d = new DialogAviso(new Frame(),"Logon Falha",false,"Usuario ou senha invlidos");
      d.setSize(300,140);
      d.setVisible(true);

      jTextFieldUsuario.setText("");
      senha.setText("");
    }
  }

  void jToggleButtonCancelar_actionPerformed(ActionEvent e) {
    System.exit(0);
  }

  void jPanelFinancas_mouseClicked(MouseEvent e) {
  }

  void jPanelFinancas_mousePressed(MouseEvent e) {
  }

  void jPanelFinancas_mouseReleased(MouseEvent e) {
  }

  void jPanelFinancas_mouseEntered(MouseEvent e) {
  }

  void jPanelFinancas_mouseExited(MouseEvent e) {
  }

  void jTextFieldConsultaViagemDistancia_actionPerformed(ActionEvent e) {
  }

  void jToggleButtonTrocarUsuario_actionPerformed(ActionEvent e) {
    jPanelPrincipal.setVisible(false);
    jTextPane1.setVisible(true);
    jPanelEntrada.setVisible(true);
  }

  void jToggleButtonSair_actionPerformed(ActionEvent e) {
    System.exit(0);
  }

}
